Revoke a revision for good: runs bound to it fail instead of delivering it. Revoking the current revision blocks deployments until a new value is set.
POST
/api/v1/projects/{project}/environments/{environment}/secrets/{secret}/revisions/{revision}/revoke
const url = 'https://example.com/api/v1/projects/example/environments/example/secrets/example/revisions/1/revoke';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/projects/example/environments/example/secrets/example/revisions/1/revokeParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project
required
string
Project name
environment
required
string
Environment short name
secret
required
string
Secret name
revision
required
integer format: int64
Revision
Responses
Section titled “Responses”Revoked
Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}Revoked already
Media typeapplication/json
Problem Details body.
object
code
required
Stable machine-readable code, e.g. forbidden.
string
title
required
Short human readable title.
string
status
required
HTTP status.
integer format: int32
detail
Details, if safe to expose.
string | null
Example
{ "code": "forbidden"}